require_dependency "stripe_wrapper/application_controller"

module StripeWrapper
  class ChargesController < ApplicationController

  def process_payment
    @user = main_app_current_user
    token = params[:stripe_token]
    @amount = stripe_get_amount
    redirect_url = params[:redirect_path]

    @customer = Customer.find_or_create_customer(token,@user)
    @charge = @customer.process_new_charge(@amount)

    # abort

    return redirect_to redirect_url+"?charge_id=#{@charge.id}"
  end

  def index
    @charges = Charge.all.order("ID DESC")
  end

  end
end
