module StripeWrapper
  module StripeWrapperHelper
    def stripe_pay(route_url)
      render partial: 'stripe_wrapper/charges/pay', locals:{redirect_url: route_url}
    end
    def stripe_wrapper_path
      return StripeWrapper::Engine.routes.url_helpers
    end
    def stripe_set_amount(amount)
      session[:stripe_payment_amount] = @amount.to_i
    end
    def stripe_get_amount
      session[:stripe_payment_amount].to_i
    end
  end
end
