require 'rails/generators'
module StripeWrapper
  class InstallGenerator < Rails::Generators::Base
    source_root File.expand_path('../templates', __FILE__)

    def install_migration
      rake 'stripe_wrapper:install:migrations'
    end

    def mount_engine
      route 'mount StripeWrapper::Engine => "/stripe_wrapper", as: "stripe_wrapper"'
    end
  end
end