// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or any plugin's vendor/assets/javascripts directory can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file. JavaScript code in this file should be added after the last require_* statement.
//
// Read Sprockets README (https://github.com/rails/sprockets#sprockets-directives) for details
// about supported directives.
//
//= require jquery
//= require jquery_ujs           
//= require_tree .

var stripeResponseHandler;

$(function() {
  var $form;
  $form = $('#stripe_wrapper_payment_form');
  $form.submit(function(event) {
    event.preventDefault();
    $form.find('.submit').prop('disabled', true);
    Stripe.card.createToken($form, stripeResponseHandler);
    return false;
  });
});

stripeResponseHandler = function(status, response) {
  var $form, token;
  $form = $('#stripe_wrapper_payment_form');
  if (response.error) {
    console.log("Payment Error");
    $form.find('.payment-errors').text(response.error.message);
    $form.find('.submit').prop('disabled', false);
  } else {
    console.log("No Payment Error");
    token = response.id;
    $('#stripe_token').val(token);
    $form.get(0).submit();
  }
};