class CreateStripeWrapperCustomers < ActiveRecord::Migration[5.0]
  def change
    create_table :stripe_wrapper_customers do |t|
      t.string :customer_id
      t.integer :user_id
      t.integer :account_balance
      t.datetime :created
      t.string :currency
      t.string :default_source
      t.boolean :delinquent
      t.string :description
      t.string :discount
      t.string :email
      t.boolean :livemode

      t.timestamps
    end
  end
end
