class CreateStripeWrapperCharges < ActiveRecord::Migration[5.0]
  def change
    create_table :stripe_wrapper_charges do |t|
      t.string :stripe_id
      t.integer :customer_id
      t.string :object
      t.float :amount
      t.float :amount_refunded
      t.string :application
      t.float :application_fee
      t.string :balance_transaction
      t.boolean :captured
      t.datetime :created
      t.string :currency
      t.string :customer
      t.text :description
      t.string :cvc_check
      t.string :failure_code
      t.string :failure_message

      t.timestamps
    end
  end
end
